package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorTableForeignKeyDocument;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TableForeignKeyDocumentMapper {

    List<MonitorTableForeignKeyDocument> getTableForeignKey(Integer id);

    void insertTableForeignKey(MonitorTableForeignKeyDocument foreignKey);

    List<MonitorTableForeignKeyDocument> getTableForeignKeyByTableId(Integer id);
}
